package de.duehl.basics.start;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import de.duehl.basics.io.walker.DirWalker;
import de.duehl.basics.io.walker.DirWalkerObserver;
import de.duehl.basics.io.walker.TablePrintingDirWalkerObserver;

public class ListAllFilesOfADirectoryAndSubdirectories {

    public static void main(String[] args) {
        String startPath = "C:\\temp";
        DirWalkerObserver observer = new TablePrintingDirWalkerObserver(startPath);
        DirWalker walker = new DirWalker(startPath);
        walker.addObserver(observer);
        walker.walk();
    }

}
